pocl (6.0-7build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:41:34 +0100

pocl (6.0-7) unstable; urgency=medium

  * Build with -DENABLE_CONFORMANCE=ON.
  * Build with g++-14.  (Closes: #1097627)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Sep 2025 16:31:05 +0200

pocl (6.0-6) unstable; urgency=medium

  * Add runtime dependency on llvm-spirv.
  * Expect the spirv tests to fail on 32-bit architectures. (Closes: #1101871)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Apr 2025 07:32:27 +0200

pocl (6.0-5) unstable; urgency=medium

  * Update symbols file.  (Closes: #1097326)
  * Build with libllvmspirvlib-18-dev and llvm-spirv-18.
  * Build with libze-dev and -DENABLE_LEVEL0=ON.
  * libpocl-devices-level0: New package for the Level Zero device library.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 01 Mar 2025 02:58:05 +0100

pocl (6.0-4) unstable; urgency=medium

  * Update symbols file.
  * Drop unneeded -dev paragraph from -doc description.  (Closes: #1081689)
  * Cherry-pick commit from upstream that as a side effect fixed "LLVM ERROR:
    Instruction Combining did not reach a fixpoint after 1 iterations".
    (Closes: #1091190)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Jan 2025 12:44:04 +0100

pocl (6.0-3) unstable; urgency=medium

  * Switch to llvm 18.
  * Update symbols file for amd64 and i386.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 Sep 2024 21:54:32 +0200

pocl (6.0-2) unstable; urgency=medium

  * Do not treat x32 as i386.
  * Rebuild with GCC 14.  (Closes: #1075393)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Jul 2024 04:30:59 +0200

pocl (6.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Jun 2024 11:29:13 +0200

pocl (6.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Update symbols file for amd64 and i386.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Jun 2024 13:30:11 +0200

pocl (5.0-4) unstable; urgency=medium

  * Switch to llvm 17.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Apr 2024 22:56:01 +0200

pocl (5.0-3) unstable; urgency=medium

  * Switch B-D to pkgconf.
  * Cherry-pick upstream testcase and fix for region_entry_barrier assertion.
    (Closes: #1060318)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Apr 2024 18:09:02 +0200

pocl (5.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063263

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:59:55 +0000

pocl (5.0-2) unstable; urgency=medium

  * Switch to llvm 16.  (Closes: #1060298)
  * Update symbols file for amd64 and i386.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 19 Jan 2024 14:00:32 +0100

pocl (5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update symbols file.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 08 Jan 2024 22:27:47 +0100

pocl (5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Update symbols file for amd64 and i386.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Dec 2023 21:15:14 +0100

pocl (4.0-3) unstable; urgency=medium

  * Perform a distro build for i386, too.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Dec 2023 16:33:19 +0100

pocl (4.0-2) unstable; urgency=medium

  * Rebuild with GCC 13.
  * Update symbols file for amd64 and i386.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Aug 2023 15:53:17 +0200

pocl (4.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Fix virtual package pocl-source-$version in case of ~rc versions.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Jun 2023 17:08:19 +0200

pocl (4.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Fix FTBFS on i386.
  * Update symbols file for amd64 and i386.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 14 Jun 2023 14:31:23 +0200

pocl (3.1-3+deb12u1) bookworm; urgency=medium

  * Rebuild for testing-proposed-updates.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 03 Apr 2023 01:08:50 +0200

pocl (3.1-3) unstable; urgency=medium

  * Switch to llvm 15.  (Closes: #1025003)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Jan 2023 11:19:20 +0100

pocl (3.1-2) unstable; urgency=medium

  * Fix segmentation fault.  (Closes: #1028636)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Jan 2023 14:11:18 +0100

pocl (3.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 12 Jan 2023 15:33:22 +0100

pocl (3.0-8) unstable; urgency=medium

  * Switch to llvm 14.  (Closes: #1017660)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 13 Dec 2022 04:08:31 +0100

pocl (3.0-7) unstable; urgency=medium

  * Cherry-pick upstream SVM fixes.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Nov 2022 11:14:25 +0100

pocl (3.0-6) unstable; urgency=medium

  * Update symbols file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Aug 2022 01:54:01 +0200

pocl (3.0-5) unstable; urgency=medium

  * Rebuild with GCC 12.  (Closes: #1016294)
  * Add some patches to use -latomic if needed.
  * Drop redundant pie flags to make blhc happy.
  * Update symbols file for amd64 and i386.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Aug 2022 07:26:39 +0200

pocl (3.0-4) unstable; urgency=medium

  * Switch to llvm 13.  (Closes: #1001317)
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Jun 2022 20:47:34 +0200

pocl (3.0-3) unstable; urgency=medium

  * Switch to llvm 12.
  * Improve nodoc build.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 19 Jun 2022 23:32:05 +0200

pocl (3.0-2) unstable; urgency=medium

  * Update symbols file.
  * Add some patches to allow overriding CPU detection.
  * Test all kernellib variants (that are supported by the host cpu) on distro
    builds.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 14 Jun 2022 14:14:47 +0200

pocl (3.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Use the embedded copy of the OpenCL headers for building the library.
  * Update symbols file for amd64 and i386.
  * Build with a reproducible UTC timestamp.
  * Add salsa-ci.yml.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 Jun 2022 08:57:49 +0200

pocl (1.8-4) experimental; urgency=medium

  * Add pocl-source package, to allow building e.g. the cuda device.
  * Add pocl-tests package, to allow testing pocl on the local CPU.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Mar 2022 16:48:13 +0100

pocl (1.8-3) unstable; urgency=medium

  * Cherry-pick several upstream(ed) patches:
    - Check return code of all pthread_*() function calls for errors.
    - Return error (don't assert) if any worker thread is out-of-memory.
    - Show more information on OpenCL compile errors or test failures.
    - Export more symbols needed by other devices.
    - Fix underlinked device libraries.
    - Skip tests that require unavailable devices.
    - Unify test success/failure reporting.
    - Miscellaneous bugfixes.
  * armel/armhf: Reduce printf buffer size to 4 MB per core.
    (Closes: #997908)
  * Add superficial autopkgtest running clinfo.
  * Update symbols file.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 08 Jan 2022 00:55:22 +0100

pocl (1.8-2) experimental; urgency=medium

  * Add printf() tests for more vector types.
  * Ignore llvm-10/llvm-11/llvm-12 segmentation fault (#975931) on
    armel/armhf, seems fixed in llvm-13.
  * Switch to llvm 11.  (Closes: #974797)
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Nov 2021 18:00:18 +0100

pocl (1.8-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update symbols file for amd64 and i386.
  * Revert to llvm 9.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Oct 2021 18:22:36 +0200

pocl (1.7-3) experimental; urgency=medium

  * Switch to llvm 11.  (Closes: #974797)
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Oct 2021 19:10:55 +0200

pocl (1.7-2) unstable; urgency=medium

  * Work around getconf on qemu/riscv64 returning 'undefined', thanks to
    Alexandre Ghiti.  (Closes: #994797) (LP: #1942895)
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Sep 2021 18:07:33 +0200

pocl (1.7-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 03 Jun 2021 01:58:27 +0200

pocl (1.6-5) unstable; urgency=medium

  * Stop building libllvmopencl.so which is no longer used since 0.14.
  * Build with -fvisibility=hidden.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Feb 2021 11:00:57 +0100

pocl (1.6-4) unstable; urgency=medium

  * Restore setting unroll-threshold on LLVM 9 to avoid kernel/test_rotate
    hanging on avx512 capable cpus.  (Closes: #980626)
  * Kill hanging tests after 30 minutes.
  * Let dh_shlibdeps find libpocl-devices-basic.so.
  * Do not use the embedded copy of the OpenCL headers.
  * Build with -fvisibility-inlines-hidden.
  * Drop hidden symbols.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Feb 2021 21:21:03 +0100

pocl (1.6-3) unstable; urgency=medium

  * Update symbols file.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Jan 2021 02:08:00 +0100

pocl (1.6-2) experimental; urgency=medium

  * Build with -DHARDENING_ENABLE=ON.
  * Update symbols file for amd64 and i386.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Dec 2020 23:50:16 +0100

pocl (1.6-1) experimental; urgency=medium

  * New upstream release.
  * Refresh/remove patches.
  * Add testcase for bug #975931.
  * Revert to llvm 9.  (Reopens: #974797)
  * Reintroduce "visibility hidden" to expose less internal symbols.
  * Update symbols file for amd64 and i386.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 24 Dec 2020 04:19:57 +0100

pocl (1.5-8) experimental; urgency=medium

  * Cherry-pick upstream commits for llvm 11 support and some bugfixes.
  * Switch to llvm 11.  (Closes: #974797)
  * Update symbols file for amd64 and i386.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Nov 2020 17:08:26 +0100

pocl (1.5-7) unstable; urgency=medium

  * Switch to llvm 10.
  * Update symbols file.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Nov 2020 14:45:48 +0100

pocl (1.5-6) unstable; urgency=medium

  * Fix separate arch:all build in debhelper-compat 13 with
    -DCMAKE_SKIP_INSTALL_ALL_DEPENDENCY=OFF.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Jul 2020 12:52:56 +0200

pocl (1.5-5) unstable; urgency=medium

  * Update symbols file.
  * Switch to debhelper-compat (= 13).
  * Fix typos found by Lintian.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Jul 2020 02:18:39 +0200

pocl (1.5-4) unstable; urgency=medium

  * Rebuild with GCC 10.  (Closes: #957694)
  * Update symbols file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Jul 2020 14:20:52 +0200

pocl (1.5-3) unstable; urgency=medium

  * Update symbols file.
  * Cherry-pick upstream commit 90fdec99 to avoid unwanted dependency on
    symbols from libOpenCL.so.1.  (Closes: #958700)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Apr 2020 00:46:54 +0200

pocl (1.5-2) unstable; urgency=medium

  * The bullseye toolchain defaults to linking with --as-needed.
  * Link against shared libclang-cpp when building with llvm >= 9.
  * Update symbols file for amd64 and i386.
  * Reduce local memory safety margin to prevent the pthread device from
    running out of memory during initialization. This affects 32-bit builds
    on platforms with large caches and large corecount.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Apr 2020 16:40:56 +0200

pocl (1.5-1) experimental; urgency=medium

  * New upstream release.
  * Refresh/remove patches.
  * Update symbols file for amd64 and i386.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 Apr 2020 18:43:38 +0200

pocl (1.4-6) unstable; urgency=medium

  * Update symbols files.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2020 20:55:06 +0100

pocl (1.4-5) experimental; urgency=medium

  * Update symbols files.
  * Switch to llvm 9.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 31 Jan 2020 17:11:45 +0100

pocl (1.4-4) unstable; urgency=medium

  * Postpone clinfo failures after dh_makeshlibs, too.
  * Work around add_test_pocl() ignoring SKIP_RETURN_CODE.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jan 2020 12:02:47 +0100

pocl (1.4-3) unstable; urgency=medium

  * Update symbols files.
  * Fix clash with altivec macros on ppc64el.
  * Skip subdevice tests on (virtual) single core CPUs.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 19 Jan 2020 15:58:32 +0100

pocl (1.4-2) experimental; urgency=medium

  * Update symbols files.
  * Switch to llvm 8.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 16 Jan 2020 03:03:18 +0100

pocl (1.4-1) experimental; urgency=medium

  * New upstream release.
  * Refresh/remove patches.
  * Link kernels with libm to avoid missing fma/fmaf/... symbols.
  * Ignore regression/struct_kernel_arguments failure on i686.
  * Switch back to llvm 7 for now.
  * Update symbols files for amd64 and i386.
  * Fix build on GNU/hurd, thanks to Samuel Thibault.  (Closes: #947881)
  * Update copyright holders and years.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 Jan 2020 11:08:11 +0100

pocl (1.3-10) unstable; urgency=medium

  * Use upstream version of upstreamed patches.
  * Backport "Use libdl directly" and related fixes from 1.4.
    (Closes: #946582, #946422)
  * Drop B-D on libltdl-dev.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 26 Dec 2019 23:19:15 +0100

pocl (1.3-9) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Oct 2019 23:15:27 +0200

pocl (1.3-8) experimental; urgency=medium

  * Switch to llvm 8.
  * Update symbols files for amd64 and i386.
  * Backport "Fixes to global memory size detection" from 1.4.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 25 Sep 2019 00:48:51 +0200

pocl (1.3-7) unstable; urgency=medium

  * Try a fix for allocation limit computation on kfreebsd-i386.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Sep 2019 00:55:41 +0200

pocl (1.3-6) experimental; urgency=medium

  * Update symbols files.
  * Ignore workgroup/loop_with_two_paths_to_the_latch_LOOPS failures.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Sep 2019 19:49:14 +0200

pocl (1.3-5) experimental; urgency=medium

  * Switch to llvm 7, again.  (Closes: #912793, #932707)
  * Update symbols files for amd64 and i386.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Aug 2019 18:35:12 +0200

pocl (1.3-4) unstable; urgency=medium

  * Enable --exclude-libs on kFreeBSD.
  * Tune symbols files.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 06 Sep 2019 23:13:34 +0200

pocl (1.3-3) unstable; urgency=medium

  * Rebuild with GCC 9.
  * Update symbols files for amd64 and i386.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 Aug 2019 07:37:21 +0200

pocl (1.3-2) unstable; urgency=medium

  * Update symbols files.
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 14 Jul 2019 15:35:36 +0200

pocl (1.3-1) experimental; urgency=medium

  * New upstream release.
  * Refresh/remove patches.
  * Switch back to llvm 6.0 for now.
  * Update symbols files for amd64 and i386.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Jul 2019 13:33:22 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog pocl-source`.
